org.jbpm.runtime.manager.impl

## Class DefaultRegisterableItemsFactory

- java.lang.Object
- - org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory
  - - org.jbpm.runtime.manager.impl.DefaultRegisterableItemsFactory

- All Implemented Interfaces:
    org.kie.api.runtime.manager.RegisterableItemsFactory, org.kie.internal.runtime.manager.InternalRegisterableItemsFactory
  Direct Known Subclasses:
    InjectableRegisterableItemsFactory, KModuleRegisterableItemsFactory

      public class DefaultRegisterableItemsFactory
      extends SimpleRegisterableItemsFactory

  Default implementation of the `RegisterableItemsFactory` responsible for providing a common set of WorkItemHandlers and EventListeners. This factory should not be used in CDI container.
  It will deliver fully configured instances of the following:
  - a WorkItemHandler for "Human Task" that is configured with local task service
  - a JPA audit logger - for history logging
  - a event listener to trigger rules automatically without a need of invoking fireAllRules
  Moreover, it will invoke its super methods to define the rest of the registerable items, that might override defaults when they are added to the resulting map at the end.
  See Also:
    `InjectableRegisterableItemsFactory`

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory

      `runtimeManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRegisterableItemsFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.event.rule.AgendaEventListener>` | `getAgendaEventListeners(org.kie.api.runtime.manager.RuntimeEngine runtime)`
    `AuditEventBuilder` | `getAuditBuilder()`
    `AuditEventBuilder` | `getAuditBuilder(org.kie.api.runtime.manager.RuntimeEngine engine)`
    `protected <T> List<T>` | `getEventListenerFromDescriptor(org.kie.api.runtime.manager.RuntimeEngine runtime, Class<T> type)`
    `Map<String,Object>` | `getGlobals(org.kie.api.runtime.manager.RuntimeEngine runtime)`
    `protected Map<String,Object>` | `getGlobalsFromDescriptor(org.kie.api.runtime.manager.RuntimeEngine runtime)`
    `protected org.kie.api.runtime.process.WorkItemHandler` | `getHTWorkItemHandler(org.kie.api.runtime.manager.RuntimeEngine runtime)`
    `protected Object` | `getInstanceFromModel(org.kie.internal.runtime.conf.ObjectModel model, ClassLoader classloader, Map<String,Object> contaxtParams)`
    `protected Map<String,Object>` | `getParametersMap(org.kie.api.runtime.manager.RuntimeEngine runtime)`
    `List<org.kie.api.event.process.ProcessEventListener>` | `getProcessEventListeners(org.kie.api.runtime.manager.RuntimeEngine runtime)`
    `List<org.kie.api.event.rule.RuleRuntimeEventListener>` | `getRuleRuntimeEventListeners(org.kie.api.runtime.manager.RuntimeEngine runtime)`
    `List<org.kie.api.task.TaskLifeCycleEventListener>` | `getTaskListeners()`
    `protected List<org.kie.api.task.TaskLifeCycleEventListener>` | `getTaskListenersFromDescriptor()`
    `Map<String,org.kie.api.runtime.process.WorkItemHandler>` | `getWorkItemHandlers(org.kie.api.runtime.manager.RuntimeEngine runtime)`
    `protected Map<String,org.kie.api.runtime.process.WorkItemHandler>` | `getWorkItemHandlersFromDescriptor(org.kie.api.runtime.manager.RuntimeEngine runtime)`
    `protected Properties` | `loadJMSProperties()`
    `void` | `setAuditBuilder(AuditEventBuilder auditBuilder)`

    - ### Methods inherited from class org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory

      `addAgendaListener, addGlobal, addProcessListener, addProcessListener, addTaskListener, addWorkingMemoryListener, addWorkItemHandler, createInstance, getRuntimeManager, setRuntimeManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRegisterableItemsFactory

          public DefaultRegisterableItemsFactory()

  - ### Method Detail

    - #### getWorkItemHandlers

          public Map<String,org.kie.api.runtime.process.WorkItemHandler> getWorkItemHandlers(org.kie.api.runtime.manager.RuntimeEngine runtime)

      Specified by:
        `getWorkItemHandlers` in interface `org.kie.api.runtime.manager.RegisterableItemsFactory`
      Overrides:
        `getWorkItemHandlers` in class `SimpleRegisterableItemsFactory`

    - #### getProcessEventListeners

          public List<org.kie.api.event.process.ProcessEventListener> getProcessEventListeners(org.kie.api.runtime.manager.RuntimeEngine runtime)

      Specified by:
        `getProcessEventListeners` in interface `org.kie.api.runtime.manager.RegisterableItemsFactory`
      Overrides:
        `getProcessEventListeners` in class `SimpleRegisterableItemsFactory`

    - #### getAgendaEventListeners

          public List<org.kie.api.event.rule.AgendaEventListener> getAgendaEventListeners(org.kie.api.runtime.manager.RuntimeEngine runtime)

      Specified by:
        `getAgendaEventListeners` in interface `org.kie.api.runtime.manager.RegisterableItemsFactory`
      Overrides:
        `getAgendaEventListeners` in class `SimpleRegisterableItemsFactory`

    - #### getRuleRuntimeEventListeners

          public List<org.kie.api.event.rule.RuleRuntimeEventListener> getRuleRuntimeEventListeners(org.kie.api.runtime.manager.RuntimeEngine runtime)

      Specified by:
        `getRuleRuntimeEventListeners` in interface `org.kie.api.runtime.manager.RegisterableItemsFactory`
      Overrides:
        `getRuleRuntimeEventListeners` in class `SimpleRegisterableItemsFactory`

    - #### getTaskListeners

          public List<org.kie.api.task.TaskLifeCycleEventListener> getTaskListeners()

      Specified by:
        `getTaskListeners` in interface `org.kie.api.runtime.manager.RegisterableItemsFactory`
      Overrides:
        `getTaskListeners` in class `SimpleRegisterableItemsFactory`

    - #### getGlobals

          public Map<String,Object> getGlobals(org.kie.api.runtime.manager.RuntimeEngine runtime)

      Specified by:
        `getGlobals` in interface `org.kie.api.runtime.manager.RegisterableItemsFactory`
      Overrides:
        `getGlobals` in class `SimpleRegisterableItemsFactory`

    - #### getHTWorkItemHandler

          protected org.kie.api.runtime.process.WorkItemHandler getHTWorkItemHandler(org.kie.api.runtime.manager.RuntimeEngine runtime)

    - #### getAuditBuilder

          public AuditEventBuilder getAuditBuilder()

    - #### getAuditBuilder

          public AuditEventBuilder getAuditBuilder(org.kie.api.runtime.manager.RuntimeEngine engine)

    - #### setAuditBuilder

          public void setAuditBuilder(AuditEventBuilder auditBuilder)

    - #### getInstanceFromModel

          protected Object getInstanceFromModel(org.kie.internal.runtime.conf.ObjectModel model,
                                                ClassLoader classloader,
                                                Map<String,Object> contaxtParams)

    - #### getParametersMap

          protected Map<String,Object> getParametersMap(org.kie.api.runtime.manager.RuntimeEngine runtime)

    - #### getTaskListenersFromDescriptor

          protected List<org.kie.api.task.TaskLifeCycleEventListener> getTaskListenersFromDescriptor()

    - #### getWorkItemHandlersFromDescriptor

          protected Map<String,org.kie.api.runtime.process.WorkItemHandler> getWorkItemHandlersFromDescriptor(org.kie.api.runtime.manager.RuntimeEngine runtime)

    - #### getEventListenerFromDescriptor

          protected <T> List<T> getEventListenerFromDescriptor(org.kie.api.runtime.manager.RuntimeEngine runtime,
                                                               Class<T> type)

    - #### getGlobalsFromDescriptor

          protected Map<String,Object> getGlobalsFromDescriptor(org.kie.api.runtime.manager.RuntimeEngine runtime)

    - #### loadJMSProperties

          protected Properties loadJMSProperties()
                                          throws IOException

      Throws:
        `IOException`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.